@prefix : <http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix xml: <http://www.w3.org/XML/1998/namespace> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@base <http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/> .

<http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6> rdf:type owl:Ontology .

#################################################################
#    Object Properties
#################################################################

###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6#has_aircraft
:has_aircraft rdf:type owl:ObjectProperty ,
                       owl:FunctionalProperty ;
              rdfs:domain :landing ;
              rdfs:range :aircraft ;
              rdfs:label "has aircraft"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/has_body_type
:has_body_type rdf:type owl:ObjectProperty ,
                        owl:FunctionalProperty ;
               rdfs:domain :aircraft ;
               rdfs:range :aircraft_body_type ;
               rdfs:label "has body type"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/has_geo
:has_geo rdf:type owl:ObjectProperty ,
                  owl:FunctionalProperty ;
         rdfs:domain :landing ;
         rdfs:range :geo ;
         rdfs:label "has geo"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/has_landing_type
:has_landing_type rdf:type owl:ObjectProperty ;
                  rdfs:domain :aircraft ;
                  rdfs:range [ rdf:type owl:Restriction ;
                               owl:onProperty :has_landing_type ;
                               owl:qualifiedCardinality "1"^^xsd:nonNegativeInteger ;
                               owl:onClass :aircraft_landing_type
                             ] ;
                  rdfs:label "has landing type"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/has_model
:has_model rdf:type owl:ObjectProperty ,
                    owl:FunctionalProperty ;
           rdfs:domain :aircraft ;
           rdfs:range :aircraft_model ;
           rdfs:label "has model"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/made_by
:made_by rdf:type owl:ObjectProperty ,
                  owl:FunctionalProperty ;
         rdfs:domain :aircraft ;
         rdfs:range :manufacturer ;
         rdfs:label "made by"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/operating_airline
:operating_airline rdf:type owl:ObjectProperty ;
                   rdfs:domain :landing ;
                   rdfs:range [ rdf:type owl:Restriction ;
                                owl:onProperty :operating_airline ;
                                owl:qualifiedCardinality "1"^^xsd:nonNegativeInteger ;
                                owl:onClass :airline
                              ] ;
                   rdfs:label "operating airline"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/published_airline
:published_airline rdf:type owl:ObjectProperty ;
                   rdfs:domain :aircraft ;
                   rdfs:range [ rdf:type owl:Restriction ;
                                owl:onProperty :published_airline ;
                                owl:qualifiedCardinality "1"^^xsd:nonNegativeInteger ;
                                owl:onClass :airline
                              ] ;
                   rdfs:label "published airline"@en .


#################################################################
#    Data properties
#################################################################

###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/activity_period
:activity_period rdf:type owl:DatatypeProperty ;
                 rdfs:domain :landing ;
                 rdfs:range xsd:unsignedLong ;
                 rdfs:label "activity period"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/aircraft_id
:aircraft_id rdf:type owl:DatatypeProperty ;
             rdfs:domain :aircraft ;
             rdfs:range xsd:long ;
             rdfs:label "aircraft id"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/aircraft_version
:aircraft_version rdf:type owl:DatatypeProperty ;
                  rdfs:domain :aircraft_model ;
                  rdfs:range rdfs:Literal ;
                  rdfs:label "aircraft version"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/airline_iata_code
:airline_iata_code rdf:type owl:DatatypeProperty ;
                   rdfs:domain :airline ;
                   rdfs:range xsd:string ;
                   rdfs:label "airline iata code"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/airline_name
:airline_name rdf:type owl:DatatypeProperty ;
              rdfs:domain :airline ;
              rdfs:range xsd:string ;
              rdfs:label "airline name"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/body_name
:body_name rdf:type owl:DatatypeProperty ;
           rdfs:domain :aircraft_body_type ;
           rdfs:range xsd:string ;
           rdfs:label "body name"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/creation_date
:creation_date rdf:type owl:DatatypeProperty ;
               rdfs:domain :aircraft ;
               rdfs:range xsd:dateTimeStamp ;
               rdfs:label "creation date"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/geo_region
:geo_region rdf:type owl:DatatypeProperty ;
            rdfs:domain :geo ;
            rdfs:range xsd:string ;
            rdfs:label "geo region"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/geo_summary
:geo_summary rdf:type owl:DatatypeProperty ;
             rdfs:domain :geo ;
             rdfs:range [ rdf:type rdfs:Datatype ;
                          owl:oneOf [ rdf:type rdf:List ;
                                      rdf:first "Domestic" ;
                                      rdf:rest [ rdf:type rdf:List ;
                                                 rdf:first "International" ;
                                                 rdf:rest rdf:nil
                                               ]
                                    ]
                        ] ;
             rdfs:label "geo summary"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/landing_count
:landing_count rdf:type owl:DatatypeProperty ;
               rdfs:domain :aircraft ;
               rdfs:range xsd:unsignedLong ;
               rdfs:label "landing count"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/landing_type_name
:landing_type_name rdf:type owl:DatatypeProperty ;
                   rdfs:domain :aircraft_landing_type ;
                   rdfs:range xsd:string ;
                   rdfs:label "landing type name"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/manufacturer_name
:manufacturer_name rdf:type owl:DatatypeProperty ;
                   rdfs:domain :manufacturer ;
                   rdfs:range xsd:string ;
                   rdfs:label "manufacturer name"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/model_name
:model_name rdf:type owl:DatatypeProperty ;
            rdfs:domain :aircraft_model ;
            rdfs:range xsd:string ;
            rdfs:label "model name"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/modification_date
:modification_date rdf:type owl:DatatypeProperty ;
                   rdfs:domain :aircraft ;
                   rdfs:range xsd:dateTimeStamp ;
                   rdfs:label "modification date"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/status
:status rdf:type owl:DatatypeProperty ;
        rdfs:domain :aircraft ;
        rdfs:range [ rdf:type rdfs:Datatype ;
                     owl:oneOf [ rdf:type rdf:List ;
                                 rdf:first "Active" ;
                                 rdf:rest [ rdf:type rdf:List ;
                                            rdf:first "Inactive" ;
                                            rdf:rest rdf:nil
                                          ]
                               ]
                   ] ;
        rdfs:label "status"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/tail_number
:tail_number rdf:type owl:DatatypeProperty ;
             rdfs:domain :aircraft ;
             rdfs:range xsd:string ;
             rdfs:label "tail number"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/total_landed_weight
:total_landed_weight rdf:type owl:DatatypeProperty ;
                     rdfs:domain :landing ;
                     rdfs:range xsd:unsignedLong ;
                     rdfs:label "total landed weight"@en .


#################################################################
#    Classes
#################################################################

###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/aircraft
:aircraft rdf:type owl:Class ;
          rdfs:label "aircraft"@en ,
                     "vliegtuig"@nl-be .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/aircraft_body_type
:aircraft_body_type rdf:type owl:Class ;
                    rdfs:label "aircraft body type"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/aircraft_landing_type
:aircraft_landing_type rdf:type owl:Class ;
                       rdfs:label "aircraft landing type"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/aircraft_model
:aircraft_model rdf:type owl:Class ;
                rdfs:comment "model name and version"@en ;
                rdfs:label "aircraft model"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/airline
:airline rdf:type owl:Class ;
         rdfs:label "airline"@en ,
                    "vliegmaatschappij"@nl-be .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/geo
:geo rdf:type owl:Class ;
     rdfs:comment "geo region and summary (Domestic or International)"@en ;
     rdfs:label "geo"@en .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/landing
:landing rdf:type owl:Class ;
         rdfs:label "landing"@en ,
                    "landing"@nl-be .


###  http://www.semanticweb.org/tijnd/ontologies/2023/9/untitled-ontology-6/manufacturer
:manufacturer rdf:type owl:Class ;
              rdfs:label "fabrikant"@nl-be ,
                         "manufacturer"@en .


#################################################################
#    General axioms
#################################################################

[ rdf:type owl:AllDisjointClasses ;
  owl:members ( :aircraft
                :aircraft_body_type
                :aircraft_landing_type
                :aircraft_model
                :airline
                :geo
                :landing
                :manufacturer
              )
] .


###  Generated by the OWL API (version 4.5.26.2023-07-17T20:34:13Z) https://github.com/owlcs/owlapi
